#include "ros/ros.h"
#include "std_msgs/String.h"

#include "geometry_msgs/Twist.h"

int main(int argc, char **argv){
	
	
	ros::init(argc, argv, "turtle_sim_controller");
	ros::NodeHandle n;
	
	ros::Publisher velocity_pub = n.advertise<geometry_msgs::Twist>("/turtle1/cmd_vel", 1);

	geometry_msgs::Twist v;
	
	v.linear.x = 2.0;
	v.linear.y = 0.0;
	v.linear.z = 0.0;
	v.angular.x = 0.0;
	v.angular.y = 0.0;
	v.angular.z = -1.0;

	float duration = 3.0;
	float framerate = 40.0;
	ros::Rate loop_rate(framerate);
	
	double angular_z = 0.25;
	
	for (float t = 0; t < duration; t += 1.0/framerate){
		
		v.angular.z = angular_z;
		velocity_pub.publish(v);
	
		v.linear.x += 1.0;
		loop_rate.sleep();
	}
	
	
	
	
	
	
	
	return 0;
}
